| MAXREFDES82# Code Documentation V01.00 Maxim Smart Force Sensor

- Main Page
- Modules
- Files

- File List
- Globals

All Files Functions Variables Macros Groups Pages
Macros | Functions | Variables
usbd_cdc_interface.c File Reference
`#include "main.h"`

Go to the source code of this file.

## Macros
#define | APP_RX_DATA_SIZE 32
#define | APP_TX_DATA_SIZE 32

## Functions
void | HAL_TIM_PeriodElapsedCallback (TIM_HandleTypeDef *htim)
| TIM period elapsed callback.
void | HAL_UART_RxCpltCallback (UART_HandleTypeDef *huart)
| Rx Transfer completed callback.
void | HAL_UART_TxCpltCallback (UART_HandleTypeDef *huart)
| Tx Transfer completed callback.
void | HAL_UART_ErrorCallback (UART_HandleTypeDef *UartHandle)
| UART error callbacks.

## Variables
uint8_t | request
USBD_CDC_LineCodingTypeDef | LineCoding
uint8_t | UserRxBuffer [APP_RX_DATA_SIZE]
uint8_t | UserTxBuffer [APP_TX_DATA_SIZE]
uint32_t | UserTxBufPtrIn = 0
uint32_t | UserTxBufPtrOut = 0
UART_HandleTypeDef | UartHandle
TIM_HandleTypeDef | TimHandle
USBD_HandleTypeDef | USBD_Device
USBD_CDC_ItfTypeDef | USBD_CDC_fops

## Macro Definition Documentation

#define APP_RX_DATA_SIZE 32

Definition at line 33 of file usbd_cdc_interface.c.

#define APP_TX_DATA_SIZE 32

Definition at line 34 of file usbd_cdc_interface.c.

## Function Documentation

void HAL_TIM_PeriodElapsedCallback | ( | TIM_HandleTypeDef * | htim | ) |

TIM period elapsed callback.

Parameters

  htim,: | TIM handle

Return values

  None |

Definition at line 226 of file usbd_cdc_interface.c.

void HAL_UART_ErrorCallback | ( | UART_HandleTypeDef * | UartHandle | ) |

UART error callbacks.

Parameters

  UartHandle,: | UART handle

Return values

  None |

Definition at line 452 of file usbd_cdc_interface.c.

void HAL_UART_RxCpltCallback | ( | UART_HandleTypeDef * | huart | ) |

Rx Transfer completed callback.

Parameters

  huart,: | UART handle

Return values

  None |

Definition at line 262 of file usbd_cdc_interface.c.

void HAL_UART_TxCpltCallback | ( | UART_HandleTypeDef * | huart | ) |

Tx Transfer completed callback.

Parameters

  huart,: | UART handle

Return values

  None |

Definition at line 298 of file usbd_cdc_interface.c.

## Variable Documentation

USBD_CDC_LineCodingTypeDef LineCoding

Initial value:
= {
115200,
0x00,
0x00,
0x08
}

Definition at line 40 of file usbd_cdc_interface.c.

uint8_t request

Definition at line 64 of file maintask.c.

TIM_HandleTypeDef TimHandle

Definition at line 58 of file usbd_cdc_interface.c.

UART_HandleTypeDef UartHandle

Definition at line 56 of file usbd_cdc_interface.c.

USBD_CDC_ItfTypeDef USBD_CDC_fops

Initial value:
=
{
CDC_Itf_Init,
CDC_Itf_DeInit,
CDC_Itf_Control,
CDC_Itf_Receive
}

Definition at line 71 of file usbd_cdc_interface.c.

USBD_HandleTypeDef USBD_Device

Definition at line 68 of file MAXREFDES82.c.

uint8_t UserRxBuffer[APP_RX_DATA_SIZE]

Definition at line 47 of file usbd_cdc_interface.c.

uint8_t UserTxBuffer[APP_TX_DATA_SIZE]

Definition at line 48 of file usbd_cdc_interface.c.

uint32_t UserTxBufPtrIn = 0

Definition at line 50 of file usbd_cdc_interface.c.

uint32_t UserTxBufPtrOut = 0

Definition at line 52 of file usbd_cdc_interface.c.